Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228289 - CWD - Invalid number of arguments.
Summary: CWD - Invalid number of arguments.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid
Version: 4.4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 15:43 UTC by Devin Bougie
Modified: 2007-11-19 13:53 UTC (History)
0 users

Fixed In Version: squid-2.5.STABLE14-1.4E
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-19 13:53:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Devin Bougie 2007-02-12 15:43:09 UTC
Description of problem:
Double slashes in FTP URLs cause problems for squid.  

Steps to Reproduce:
Try browsing to ftp://ftp.redhat.com/pub//redhat .
  
Actual results:
===============================
ERROR
The requested URL could not be retrieved

An FTP protocol error occurred while trying to retrieve the URL:
ftp://ftp.redhat.com/pub//redhat

Squid sent the following FTP command:

    CWD

and then received this reply

    Invalid number of arguments.

Your cache administrator is root.
Generated Wed, 07 Feb 2007 22:48:34 GMT
(squid/2.5.STABLE6)
===============================

Additional info:
I understand the CWD error, but is there any way around this (tell squid to retry with the next argument 
instead of failing)?

Comment 1 Martin Bacovsky 2007-11-19 13:53:34 UTC
This issue should be fixed in squid-2.5.STABLE14-1.4E. If it still does not 
work, please reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.